package cc.toph.tutorialmod.item;

import cc.toph.tutorialmod.TutorialMod;
import net.minecraft.core.registries.Registries;
import net.minecraft.network.chat.Component;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.world.item.ItemStack;
import net.minecraftforge.eventbus.api.IEventBus;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.registries.RegistryObject;

public class ModCreativeTabs {
	public static final DeferredRegister<CreativeModeTab> CREATIVE_TABS = DeferredRegister
			.create(Registries.CREATIVE_MODE_TAB, TutorialMod.MODID);

	public static void register(IEventBus eventBus) {
		CREATIVE_TABS.register(eventBus);
	}

	public static final RegistryObject<CreativeModeTab> TUTORIAL_MOD = CREATIVE_TABS.register("tutorial_tab",
			() -> CreativeModeTab.builder().icon(() -> new ItemStack(ModItems.SAPPHIRE.get()))
					.title(Component.translatable("creativetab.tutorial_tab")).displayItems((pParams, pOut) -> {
						pOut.accept(ModItems.SAPPHIRE.get());
						pOut.accept(ModItems.RAW_SAPPHIRE.get());
					}).build());
}
