package cc.toph.tutorialmod.item;

import cc.toph.tutorialmod.TutorialMod;
import net.minecraft.world.item.Item;
import net.minecraftforge.eventbus.api.IEventBus;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.RegistryObject;

public class ModItems {

	public static final DeferredRegister<Item> ITEMS = DeferredRegister.create(ForgeRegistries.ITEMS, TutorialMod.MODID);

	public static void register(IEventBus eventBus) {
		ITEMS.register(eventBus);
	}

	public static final RegistryObject<Item> SAPPHIRE = ITEMS.register("sapphire", () -> new Item(new Item.Properties()));
	public static final RegistryObject<Item> RAW_SAPPHIRE = ITEMS.register("raw_sapphire",
			() -> new Item(new Item.Properties()));
}
